summaryrefslogtreecommitdiff
path: root/source3/script/installmsg.sh
diff options
context:
space:
mode:
authorTim Potter <tpot@samba.org>2003-09-24 01:27:39 +0000
committerTim Potter <tpot@samba.org>2003-09-24 01:27:39 +0000
commita6b3104042ee0f07af77753b0e8a6e49add52150 (patch)
treeaf9f9ba53690534f5b8ab179acefa8ba2676143c /source3/script/installmsg.sh
parent6d3af0eff0633a70f726de79f6fcb4a12e87b4d1 (diff)
downloadsamba-a6b3104042ee0f07af77753b0e8a6e49add52150.tar.gz
samba-a6b3104042ee0f07af77753b0e8a6e49add52150.tar.bz2
samba-a6b3104042ee0f07af77753b0e8a6e49add52150.zip
Fix bug #456 for 3.0.0 release.
More work on SWAT i18n support to appear in later releases. (This used to be commit c3267749054ade219d214bdaf6c21e4207bd2011)
Diffstat (limited to 'source3/script/installmsg.sh')
-rw-r--r--source3/script/installmsg.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/source3/script/installmsg.sh b/source3/script/installmsg.sh
new file mode 100644
index 0000000000..30ad404aa0
--- /dev/null
+++ b/source3/script/installmsg.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# first version (Sept 2003) written by Shiro Yamada <shiro@miraclelinux.com>
+# based on the first verion (March 2002) of installdat.sh written by Herb Lewis
+
+MSGDIR=$1
+SRCDIR=$2/
+
+echo Installing msg files in $MSGDIR
+
+for f in $SRCDIR/po/*.msg; do
+ FNAME=$MSGDIR/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+done
+
+cat << EOF
+======================================================================
+The msg files have been installed.
+======================================================================
+EOF
+
+exit 0